./devel/py-at-spi2, Python Assistive Technology Service Provider Interface

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 2.38.1nb1, Package name: py39-at-spi2-2.38.1nb1, Maintainer: prlw1

Python client library for the AT-SPI D-Bus accessibility infrastructure.


Required to run:
[devel/glib2] [devel/at-spi2-core] [devel/at-spi2-atk] [devel/py-gobject3] [lang/python37]

Required to build:
[devel/py-gobject3-common] [pkgtools/cwrappers]

Master sites: (Expand)

Filesize: 309.301 KB

Version history: (Expand)


CVS history: (Expand)


   2022-01-28 12:54:21 by Thomas Klausner | Files touched by this commit (1)
Log message:
yp-at-spi2: restrict to python 3.x

(reduce py27-gobject3 users; all packages depending on this are
python3-only already)
   2021-12-08 17:07:18 by Adam Ciarcinski | Files touched by this commit (3063)
Log message:
revbump for icu and libffi
   2021-10-26 12:20:11 by Nia Alarie | Files touched by this commit (3016)
Log message:
archivers: Replace RMD160 checksums with BLAKE2s checksums

All checksums have been double-checked against existing RMD160 and
SHA512 hashes

Could not be committed due to merge conflict:
devel/py-traitlets/distinfo

The following distfiles were unfetchable (note: some may be only fetched
conditionally):

./devel/pvs/distinfo pvs-3.2-solaris.tgz
./devel/eclipse/distinfo eclipse-sourceBuild-srcIncluded-3.0.1.zip
   2021-10-07 15:44:44 by Nia Alarie | Files touched by this commit (3017)
Log message:
devel: Remove SHA1 hashes for distfiles
   2020-10-01 13:51:19 by Patrick Welche | Files touched by this commit (2)
Log message:
Update py-at-spi2 to 2.38.0

What's new in pyatspi 2.37.90:
* Tests: use libatspi's dbus-gmain implementation, eliminating
  dependency on dbus-glib (!4).
* Migrate to gtk 3 (!23).                <- for tests which we don't enable
* Add support for the mode-changed signal (!24).
   2020-07-31 12:48:00 by Patrick Welche | Files touched by this commit (2)
Log message:
Update py-at-spi2 to 2.36.0

What's new in pyatspi 2.35.1:

* Fix dead link in README.
* Adjust accepted test results for python 3.8 compatibility (!21).
* Add ROLE_MARK and ROLE_SUGGESTION (!22).

What's new in pyatspi 2.34.0:

* Updated doap, and include it in the tarball.

What's new in pyatspi 2.33.92:

* Several test fixes (thanks to Samuel THibault).
* Add license header on some test files.

What's new in pyatspi 2.33.90:

* Fix typo in get_imageLocale.
* event.str(): show event sender.
* Remove wrapper for atspi_text_notify_reading_position, as the function has
  been removed from at-spi2-core.
* events: replace object:text:reading-position with
  screen-reader:region-changed.
* Add wrapper for atspi_set_reference_window.
   2020-03-08 17:51:54 by Thomas Klausner | Files touched by this commit (2833)
Log message:
*: recursive bump for libffi
   2020-01-19 00:36:14 by Roland Illig | Files touched by this commit (3046)
Log message:
all: migrate several HOMEPAGEs to https

pkglint --only "https instead of http" -r -F

With manual adjustments afterwards since pkglint 19.4.4 fixed a few
indentations in unrelated lines.

This mainly affects projects hosted at SourceForce, as well as
freedesktop.org, CTAN and GNU.